{% extends "index.html" %}


{% block content %}
      
      <script src="../static/js/image-picker.js"></script>
      
      <script>

      $( document ).ready(function() {
        waitForAuth(); 
        
         $('#server-msg-div').slideUp("slow");
         $('.center-block').slideUp("slow");
      
      });


          function waitForAuth() {
        if(is_auth == false) {//we want it to match
          console.log("fail")
          setTimeout(waitForAuth, 50);//wait 50 millisecnds then recheck
          return;
        }
       
        //fetchUserInfo();
        //fetchUnits();
        //getCounts();
        //prePareCheckout();
        updateCart()
        console.log("success")

        //real action
      }

      function viewItem(url){
        $('.modal-body').empty();
        
        $('.modal-body').append('<img class="img-rounded" src="https://storage.googleapis.com'+url+'"/>');
      }

  function updateCart() {
  
    shopping_cart_table.clear().draw();
      $('.loader').show()
    $.ajax(backendHostUrl + '/u/get_cart_items', {
      headers: {
        'Authorization': 'Bearer ' + userIdToken
      }
    }).then(function(data){
      console.log(data);
      data.items.forEach(function(item){
        shopping_cart_table.row.add([
          item.name,
          item.price,
          '<button class="btn btn-danger" onclick=removeFromCart('+item.id+') >Remove</button>'
          ]).draw(false);
      });
        $('.loader').hide()
          // Iterate over user data to display user's notes from database.
        });
  }

  function addToCart(item_id) {
  
    $.ajax(backendHostUrl + '/u/add_to_cart/'+item_id, {
      headers: {
        'Authorization': 'Bearer ' + userIdToken
      }
    }).then(function(data){
      console.log(data);
      updateCart();
      // data.items.forEach(function(item){
      //   my_webstore_table.row.add([
      //     item.name,
      //     item.price,
      //     item.price
      //     ]).draw(false);
      // });
          // Iterate over user data to display user's notes from database.
        });
  } 


  function removeFromCart(item_id) {

    $.ajax(backendHostUrl + '/u/remove_from_cart/'+item_id, {
      headers: {
        'Authorization': 'Bearer ' + userIdToken
      }
    }).then(function(data){
      console.log(data);
      updateCart();
      // data.items.forEach(function(item){
      //   my_webstore_table.row.add([
      //     item.name,
      //     item.price,
      //     item.price
      //     ]).draw(false);
      // });
          // Iterate over user data to display user's notes from database.
        });
  }

  function updateTable(item_type) {
    my_webstore_table.clear().draw();

    $.ajax(backendHostUrl + '/u/item/'+item_type, {
      headers: {
        'Authorization': 'Bearer ' + userIdToken
      }
    }).then(function(data){
      console.log(data);
      $("#item_header").text(data.item_type);
      data.items.forEach(function(item){
        my_webstore_table.row.add([
          '<button data-toggle="modal" data-target="#myModal" class="btn btn-primary" onclick=viewItem("'+item.image_url+'")>View</button>',
          item.name,
          item.price,
          '<button class="btn btn-primary" onclick=addToCart('+item.id+') >Add to cart</button>'
          ]).draw(false);
      });
          // Iterate over user data to display user's notes from database.
        });
  } 










 $(function(){

 
 $('.item-btn').on('click',function(event) {
      updateTable($(this).attr('id'))
      console.log($(this).attr('id'));
  });

   });



    </script>
    <style>
    img {
      margin-left: 10%;
      width: 80%;
    }
        .my_info{

           box-shadow: 1px 2px 4px rgba(0, 0, 0, .5);
           padding: 1%;
        }
        .loader{
    margin: auto;
    padding: 10px;
        }

    </style>




<button type="button" class="btn btn-info btn-lg" data-toggle="modal" data-target="#myModal">Open Modal</button>

<!-- Modal -->
<div id="myModal" class="modal fade" role="dialog">
  <div class="modal-dialog">

    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Modal Header</h4>
      </div>
      <div class="modal-body">

<div id="myCarousel" class="carousel slide" data-ride="carousel">
  <!-- Indicators -->
  <ol class="carousel-indicators">
    <li data-target="#myCarousel" data-slide-to="0" class="active"></li>
    <li data-target="#myCarousel" data-slide-to="1"></li>
    <li data-target="#myCarousel" data-slide-to="2"></li>
  </ol>

  <!-- Wrapper for slides -->
  <div class="carousel-inner">




<!--     <div class="item">
      <img src="chicago.jpg" alt="Chicago">
    </div>

    <div class="item">
      <img src="ny.jpg" alt="New York">
    </div> -->



  </div>

  <!-- Left and right controls -->
  <a class="left carousel-control" href="#myCarousel" data-slide="prev">
    <span class="glyphicon glyphicon-chevron-left"></span>
    <span class="sr-only">Previous</span>
  </a>
  <a class="right carousel-control" href="#myCarousel" data-slide="next">
    <span class="glyphicon glyphicon-chevron-right"></span>
    <span class="sr-only">Next</span>
  </a>
</div>



        <p>Some text in the modal.</p>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
      </div>
    </div>

  </div>
</div>








<nav class="navbar navbar-inverse">
  <div class="container-fluid">

    <ul class="nav navbar-nav">
      
      <li class="dropdown">
        <a class="dropdown-toggle" data-toggle="dropdown" href="#">Misc items
        <span class="caret"></span></a>
        <ul class="dropdown-menu">
          <li id="LOCK" class="item-btn"><a>Locks</a></li>
          <li id="ROPE" class="item-btn"><a>Ropes</a></li>
          
        </ul>
      </li>
      <li><a href="#">Other</a></li>
      <li><a href="#">etc.</a></li>
    </ul>
  </div>
</nav>

    <div class="row">
      <div id="form">
        <div class="col-md-12">
          <h1 class="titles">PODit webstore</h1>
          <h3 id="item_header"></h3>
          <table class="table display responsive" id="webstore_table"  cellspacing="0" width="100%">
            <thead>
              <tr>
              <th data-field="name" data-sortable="true"> View </th>
                <th data-field="name" data-sortable="true"> 
                  Item  name </th>
                  <th data-field="name" data-sortable="true"> 
                    Price </th>
                    <th data-field="name" data-sortable="true"> Add </th>
                  </tr>
                </thead>
                <tbody>
                </tbody>
                <tfoot>
                  <tr>
                  </tr>
                </tfoot>
              </table>


            </div>

          </div>
        </div>

    <div class="row">
      <div id="form">
        <div class="col-md-12">
          <h1 class="titles">My shopping cart</h1>
          <table class="table display responsive" id="shopping_cart_table"  cellspacing="0" width="100%">
            <thead>
              <tr>
                <th data-field="name" data-sortable="true"> 
                  Item  name </th>
                  <th data-field="name" data-sortable="true"> 
                    Price </th>
                    <th data-field="name" data-sortable="true"> View </th>
                  </tr>
                </thead>
                <tbody>
                </tbody>
                <tfoot>
                  <tr>
                  </tr>
                </tfoot>
              </table>


            </div>

          </div>

        </div>
    <div class="row">
             <div class="">
                
<div class="loader"></div>
              </div>

 
</div>



  {% endblock %}



